Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.tasks
[Java] Interface VerificationTask

    public interface VerificationTask

A `VerificationTask` is a task which performs some verification of the artifacts produced by a build.

Method Summary
`boolean` | `getIgnoreFailures()` Specifies whether the build should break when the verifications performed by this task fail.
`void` | `setIgnoreFailures(boolean ignoreFailures)` Specifies whether the build should break when the verifications performed by this task fail.

Method Detail

### getIgnoreFailures

    public boolean getIgnoreFailures()

  Specifies whether the build should break when the verifications performed by this task fail.
  Returns:
    false, when the build should break on failure, true when the failures should be ignored.

### setIgnoreFailures

    public void setIgnoreFailures(boolean ignoreFailures)

  Specifies whether the build should break when the verifications performed by this task fail.
  Parameters:
    `ignoreFailures` - false to break the build on failure, true to ignore the failures. The default is false.

Gradle API 1.1-rc-1